use clap::Parser;

#[derive(Parser)]
#[command(author, version, about, long_about = None)]
pub struct Cli {
    #[arg(short, long)]
    pub project: Vec<String>,

    #[arg(short, long)]
    pub instance: Vec<String>,
}

pub fn parse() -> Cli {
    Cli::parse()
}

pub static CLI_ARGS: std::sync::OnceLock<Cli> = std::sync::OnceLock::new();
